<%@Import Namespace="System.Drawing.Imaging" %>
<%@ Import Namespace="system.drawing" %>
<%@Import Namespace="System.Drawing.Drawing2D" %>
<script language="VB" runat="server">
	
  Function ThumbnailCallback() as Boolean
    Return False
  End Function

   Sub Page_Load(sender as Object, e as EventArgs)


	Dim imageURL as String = Request.QueryString("path")
	Dim useridno as String = Request.QueryString("id")
	Dim useridin as String = Request.QueryString("at")
	imageURL = useridin + "/" + useridno + "/" + imageURL
	
	Dim maxwidth as Integer = Request.QueryString("w")
	Dim maxheight as Integer = Request.QueryString("h")

    Dim imagewidth as Integer
	Dim imageheight as Integer

	Dim fullSizeImg as System.Drawing.Image

    try 

	    imageUrl = Server.MapPath(imageURL)
	    fullSizeImg = System.Drawing.Image.FromFile(imageUrl)
	    
    Catch ex As Exception

	    imageUrl = "../images/underprocess.gif"
	    imageUrl = Server.MapPath(imageURL)
		fullSizeImg = System.Drawing.Image.FromFile(imageUrl)
		
	End Try

		Dim imgwidth as Integer = fullSizeImg.Width
		Dim imgheight as Integer = fullSizeImg.Height
		
		Dim scalefactor as Double
		Dim scalefactor_w as Double
		Dim scalefactor_h as Double
		
		if imgwidth > maxwidth or imgheight > maxheight Then
				scalefactor_w = maxwidth / imgwidth
			    scalefactor_h = maxheight / imgheight
            if scalefactor_w > scalefactor_h Then
                scalefactor = scalefactor_h
            Else
                scalefactor = scalefactor_w
            End if
		    
			imgwidth  = imgwidth * scalefactor
			imgheight = imgheight* scalefactor
		    
		End If


		imagewidth = imgwidth
		imageheight = imgheight


    'This will only work for jpeg images

    Response.ContentType = "image/jpeg"
    If imageheight > 0 and imagewidth > 0 then
		Dim dummyCallBack as System.Drawing.Image.GetThumbNailImageAbort
		dummyCallBack = New System.Drawing.Image.GetThumbnailImageAbort(AddressOf ThumbnailCallback)
		
		Dim thumbNailImg as System.Drawing.Image
		thumbNailImg = fullSizeImg.GetThumbnailImage(imagewidth, imageheight, dummyCallBack, IntPtr.Zero)
	
		Dim g As System.Drawing.Graphics = System.Drawing.Graphics.FromImage(thumbNailImg)
		
'		Sets the interpolation mode for a high quality image
		g.CompositingMode = CompositingMode.SourceOver
		g.CompositingMode = CompositingMode.SourceCopy
		g.CompositingQuality = CompositingQuality.HighQuality
		g.PixelOffsetMode = PixelOffsetMode.HighQuality
		g.InterpolationMode = System.Drawing.Drawing2D.InterpolationMode.HighQualityBicubic
		g.SmoothingMode = SmoothingMode.HighQuality 
		g.DrawImage(fullSizeImg, 0, 0, imagewidth, imageheight)
	    thumbNailImg.Save(Response.OutputStream, ImageFormat.jpeg)  
		
		fullSizeImg.Dispose()
		
    Else
      fullSizeImg.Save(Response.OutputStream, ImageFormat.jpeg)  
	  fullSizeImg.Dispose()
    End If


End Sub


</script>


